## EMailSignaturePreview

EMailSignaturePreview

## Functions

GtkWidget * | e_mail_signature_preview_new ()
void | e_mail_signature_preview_refresh ()
ESourceRegistry * | e_mail_signature_preview_get_registry ()
const gchar * | e_mail_signature_preview_get_source_uid ()
void | e_mail_signature_preview_set_source_uid ()

## Types and Values

struct | EMailSignaturePreview

## Description

## Functions

### e_mail_signature_preview_new ()

    GtkWidget *
    e_mail_signature_preview_new (ESourceRegistry *registry);

### e_mail_signature_preview_refresh ()

    void
    e_mail_signature_preview_refresh (EMailSignaturePreview *preview);

### e_mail_signature_preview_get_registry ()

    ESourceRegistry *
    e_mail_signature_preview_get_registry (EMailSignaturePreview *preview);

### e_mail_signature_preview_get_source_uid ()

    const gchar *
    e_mail_signature_preview_get_source_uid
                                   (EMailSignaturePreview *preview);

### e_mail_signature_preview_set_source_uid ()

    void
    e_mail_signature_preview_set_source_uid
                                   (EMailSignaturePreview *preview,
                                    const gchar *source_uid);

## Types and Values

### struct EMailSignaturePreview

    struct EMailSignaturePreview {
    	EWebView parent;
    	EMailSignaturePreviewPrivate *priv;
    };